- Qt 6.10
- Qt Charts
- C++ Classes
- QHorizontalStackedBarSeries
- Qt Charts | Commercial or GPLv3

# QHorizontalStackedBarSeries Class

The QHorizontalStackedBarSeries class presents a series of data as horizontally stacked bars, with one bar per category. More...

Header: | `#include <QHorizontalStackedBarSeries>`
In QML: | HorizontalStackedBarSeries
Inherits: | QAbstractBarSeries

- List of all members, including inherited members

## Public Functions

| QHorizontalStackedBarSeries(QObject *parent = nullptr)
virtual | ~QHorizontalStackedBarSeries()

## Reimplemented Public Functions

virtual QAbstractSeries::SeriesType | type() const override

## Detailed Description

Each bar set added to the series contributes a single segment to each stacked bar.

See the Charts with Widgets Gallery to learn how to create a horizontal stacked bar chart.

See also QBarSet, QBarSeries, QPercentBarSeries, QAbstractBarSeries, QStackedBarSeries, QHorizontalPercentBarSeries, and QHorizontalBarSeries.

## Member Function Documentation

### `[explicit]` QHorizontalStackedBarSeries::QHorizontalStackedBarSeries(QObject *parent = nullptr)

Constructs an empty horizontal stacked bar series that is a QObject and a child of parent.

### `[virtual noexcept]` QHorizontalStackedBarSeries::~QHorizontalStackedBarSeries()

Removes the bar series from the chart.

### `[override virtual]` QAbstractSeries::SeriesType QHorizontalStackedBarSeries::type() const

Reimplements an access function for property: QAbstractSeries::type.

Returns the horizontal stacked bar series.